msgpack::type::fix_int< T > Struct Template Reference

`#include <fixint.hpp>`

## Public Member Functions

| fix_int ()
| fix_int (T value)
| operator T () const
T | get () const

## Constructor & Destructor Documentation

## fix_int() [1/2]

template<typename T >

msgpack::type::fix_int< T >::fix_int | ( |  | ) |

inline

## fix_int() [2/2]

template<typename T >

msgpack::type::fix_int< T >::fix_int | ( | T | value | ) |

inline

## Member Function Documentation

## get()

template<typename T >

T msgpack::type::fix_int< T >::get | ( |  | ) | const

inline

Referenced by msgpack::adaptor::object< type::fix_int8 >::operator()(), msgpack::adaptor::object< type::fix_int16 >::operator()(), msgpack::adaptor::object< type::fix_int32 >::operator()(), msgpack::adaptor::object< type::fix_int64 >::operator()(), msgpack::adaptor::object< type::fix_uint8 >::operator()(), msgpack::adaptor::object< type::fix_uint16 >::operator()(), msgpack::adaptor::object< type::fix_uint32 >::operator()(), and msgpack::adaptor::object< type::fix_uint64 >::operator()().

## operator T()

template<typename T >

msgpack::type::fix_int< T >::operator T | ( |  | ) | const

inline

The documentation for this struct was generated from the following file:

- /build/msgpack-c-kSv3lu/msgpack-c-3.0.1/include/msgpack/v1/adaptor/fixint.hpp